function [MatRLrond] = sub_Lrond_c3(nu,N_d,MatReta,MatRa,MatRg,MatRZ,shss,sh,mhc,Rlambda_iter,MatRlambda_iter)
    %
    % Copyright C. Soize 12 November 2020
    %
    %          ind_constraints = 3 :  E{H] = 0 and E{H H'} = [I_nu] 
    %--- INPUT
    %         nu,N_d
    %         MatReta(nu,N_d)
    %         MatRa(N_d,m)
    %         MatRg(N_d,m)
    %         MatRZ(nu,m)
    %         shss,sh
    %         mhc = 2*nu + nu*(nu-1)/2 (note that for nu =1, we have mhc = 2*nu)
    %
    %         if nu = 1: Rlambda_iter(mhc,1) = ( lambda_1,...,lambda_nu , lambda_{1+nu},...,lambda_{nu+nu} )
    %
    %         if nu > 1: Rlambda_iter(mhc,1) = ( lambda_1,...,lambda_nu , lambda_{1+nu},...,lambda_{nu+nu} , {lambda_{(j,i) + 2 nu} for 1 <= j < i <= nu} )
    %                    MatRlambda_iter(nu,nu) = Symmetric with zero diagonal and upper part is  Rlambda_iter  row rise such that:
    %                        MatRlambda_iter = zeros(nu,nu);
    %                        ind = 0;
    %                        for j = 1:nu-1
    %                            for i = j+1:nu
    %                                ind = ind + 1;
    %                                MatRlambda_iter(j,i) = Rlambda_iter(2*nu+ind);
    %                                MatRlambda_iter(i,j) = MatRlambda_iter(j,i);
    %                            end
    %                        end
    %--- OUTPUT 
    %         MatRLrond(nu,m) 
    
    % s = ((4/((nu+2)*N_d))^(1/(nu+4)));   % Silver bandwidth 
    % s2 = s*s;
    % shss = 1 if icorrectif = 0 and = sqrt(s2+(N_d-1)/N_d) if icorrectif = 1
    % sh = s*shss; 
    %
    %  m is the number of diffusion-maps vectors
    
    sh2 = sh*sh;
    sh2m1 = 1/sh2;
    co1=1/(2*sh2);
    co2=shss/(sh2*N_d);

    MatRU       = MatRZ*MatRg';          % MatRU(nu,N_d), MatRg(N_d,m), MatRZ(nu,m)
    MatRetashss = shss*MatReta;          % MatReta(nu,N_d)
    MatRetaco2  = co2*MatReta;           % MatRetaco2(nu,N_d)

                                                             %---Vectorial sequence without  parallelization
    MatRL  = zeros(nu,N_d);                                  % MatRL(nu,N_d)
    MatRLc = zeros(nu,N_d);                                  % MatRLc(nu,N_d)
    for ell=1:N_d
        RU = MatRU(:,ell);                                   % RU(nu,1),MatRU(nu,N_d)
        MatRexpo   = MatRetashss-repmat(RU,1,N_d);           % MatRexpo(nu,N_d), RU(nu,1)
        Rexpo      = co1*(sum(MatRexpo.^2,1));               % Rexpo(1,N_d) 
        Rexpo_min  = repmat(min(Rexpo),1,N_d);               % Rexpo_min(1,N_d)
        RS         = exp(-(Rexpo-Rexpo_min));                % RS(1,N_d),Rexpo(1,N_d),Rexpo_min(1,N_d)
        q          = sum(RS)/N_d;     
        Rgraduqp   = MatRetaco2*RS';                         % Rgraduqp(nu,1)
        RL         = -sh2m1*RU + Rgraduqp/q;                 % Rgraduqp(nu,1)
        MatRL(:,ell) = RL;                                   % MatRL(nu,N_d)
        
        Rgrad_ell = Rlambda_iter(1:nu,1) + 2*Rlambda_iter(1+nu:nu+nu,1).*RU;  % MatRLc(nu,N_d), Rlambda_iter(2*nu + nu*(nu-1)/2,1), RU(nu,1)
        if nu == 1                                            % for nu = 1, the third term does not exist
           MatRLc(:,ell) = - Rgrad_ell;                       % MatRLc(nu,N_d), 
        end
        if nu >= 2                                            % for nu >= 2 , the third term exits
           MatRLc(:,ell) = - Rgrad_ell - MatRlambda_iter*RU;  % MatRlambda_iter(nu,nu), RU(nu,1)
        end
    end
    MatRLrond = (MatRL+MatRLc)*MatRa;                        % MatRLrond(nu,m),MatRL(nu,N_d),MatRLc(nu,N_d),MatRa(N_d,m)
    return 
end
