
function [tau] = sub_checking_independence_constructed_groups1(NKL,nr,ngroup,Igroup,MatIgroup,MatRHexp,MatRHexpGauss)
%
% Copyright C. Soize 21 January 2016 
%
% CHECKING THAT THE CONSTRUCTED GROUPS ARE INDEPENDENT

                                                %--- Constructing the reference entropy criterium with Gauss distribution
   [RlogpdfGAUSSch]  = sub_log_ksdensity_mult(NKL,nr,NKL,nr,MatRHexpGauss,MatRHexpGauss);         % RlogpdfGAUSSch(nr,1)     
   SGAUSSch = - mean(RlogpdfGAUSSch);                                                             % entropie de HGAUSSgrgamma
   SGAUSSchgr = 0;
   for j = 1:ngroup 
       mj     = Igroup(j);                                                                % Igroup(ngroup)        
       Indgrj = (MatIgroup(j,1:mj))';                                                     % MatIgroup(j,1:Igroup(j)), j = 1,...,ngroup    
       MatRHexpGaussgrj = MatRHexpGauss(Indgrj,:);         
       [RlogpdfGAUSSchgrj]  = sub_log_ksdensity_mult(NKL,nr,mj,nr,MatRHexpGaussgrj,MatRHexpGaussgrj);  % RlogpdfGAUSSchgrj(nr,1)    
       SGAUSSchgrj = - mean(RlogpdfGAUSSchgrj);                                                        % entropie de HGAUSS
       SGAUSSchgr = SGAUSSchgr + SGAUSSchgrj;
       clear Indgrj  MatRHexpGaussgrj RlogpdfGAUSSchgrj SGAUSSchgrj
   end
   INDEPGaussRefch = SGAUSSchgr - SGAUSSch;   % INDEPGaussRefch should be equal to 0 because the groups are independent
                                              % as nr is small and is finite,INDEPGaussRefch  is strictly positive and is chosen as the reference
                                              
   clear  MatRHexpGauss RlogpdfGAUSSch SGAUSSch SGAUSSchgr j mj 
   
                                              %--- Constructing the criterion INDEPch for checking the independence of the groups

   [Rlogpdfch]  = sub_log_ksdensity_mult(NKL,nr,NKL,nr,MatRHexp,MatRHexp);           % Rlogpdfch(nr,1)     
   Sch = - mean(Rlogpdfch);                                                          % entropie de H
   Schgr = 0;
   for j = 1:ngroup 
       mj     = Igroup(j);                          % Igroup(ngroup)                                        
       Indgrj = (MatIgroup(j,1:mj))';               % MatIgroup(j,1:Igroup(j)), j = 1,...,ngroup    
       MatRHexpgrj = MatRHexp(Indgrj,:);         
       [Rlogpdfchgrj]  = sub_log_ksdensity_mult(NKL,nr,mj,nr,MatRHexpgrj,MatRHexpgrj);  % Rlogpdfchgrj(nr,1)    
       Schgrj = - mean(Rlogpdfchgrj);                                                   % entropie de Y^j
       Schgr = Schgr + Schgrj;
       clear Indgrj  MatRHexpgrj Rlogpdfchgrj Schgrj
   end
   INDEPch = Schgr - Sch; 
   
   clear  Rlogpdfch Sch Schgr j mj 
                                            %--- Constructing the rate
   tau = 0;
   if INDEPch > 1e-10 && INDEPGaussRefch > 1e-10
       tau = 1- INDEPch/INDEPGaussRefch;
   end
   
return                                                                        
