function [n_d,nuGen,MatRetaGen] = sub_gener_DATA_APPLICATION_1(N_d)

%    GENERATION of DATA for APPLICATION 1
%
%--- OUTPUT
%    n_d, N_d

% 1    1 to 10    
% 2    11 to 30   
% 3    31 to 60
% nu = 60
                                                %---- Generation of MatRetaGen(nuGen,N_d) of N_d realizations of non-Gaussian 
                                                %     random variables H = (H_1,...,H_r,...,H_nuGen) with 
                                                %     with dimension nuGen that is decomposed in  ngroupGen subsets (groups) H^1,...,H^j,...,H^ngroupGen
                                                %     in which H =(H^1,...,H^j,...,H^ngroup) where H^j is, for j = 1,...,ngroupGen, a non-Gaussian random 
                                                %     vector such that H^j =(H_rj1,...,Hrjmj)  with n1+ ... + ngroupGen = nuGen
                                                %     By construction: E{H} = 0 and [cov_H] = [I_nuGen]                                                                       
                                                    
      mgroupGen        = 3;
      nuGen            = 60; 
      n_d              = 60;                  
      Rm        = [10 20 30]';                                                 % Rm(j) = mj is the length of vector Wj 
      
      rng('default')
      cellMatRb = cell(mgroupGen,1);
      alpha     = 0.15;
      beta      = 1 - alpha;
      for j=1:mgroupGen
          mj     = Rm(j); 
          MatRbj = (1/mj)*(alpha*rand(mj,mj)+beta);                                       % MatRbj(mj,mj)
          if rank(MatRbj) < mj
             error('STOP: MatRbj must be invertible');
          end
          cellMatRb{j} = MatRbj;
      end
      
      rng('default')
      cellMatRU = cell(mgroupGen,1);
      for j=1:mgroupGen
          mj           = Rm(j); 
          cellMatRU{j} = rand(mj,N_d);
      end
      
      m1 = Rm(1);
      MatRb1  = cellMatRb{1};                                                            % MatRb1(m1,m1) 
      MatRU1  = cellMatRU{1};                                                            % MatRU1(m1,N_d)
      MatRUU1 = 2*(MatRb1*MatRU1) - 1;                                                   % MatRUU1(m1,N_d), on [-1, 1]   
      [MatRetaGen(1:m1,:)] = sub_gener_MatRgr2(m1,N_d,MatRUU1);                          % group 1
      
      for j=2:mgroupGen
          mj     = Rm(j); 
          MatRbj  = cellMatRb{j};                                                        % MatRbj(mj,mj) 
          MatRUj  = cellMatRU{j};                                                        % MatRUj(mj,N_d)
          MatRUUj = 2*(MatRbj*MatRUj) - 1;                                               % MatRUUj(mj,N_d), on [-1, 1]   
          [MatRetagrj] = sub_gener_MatRgr2(mj,N_d,MatRUUj);                              % group j  >= 2 
          MatRetaGen   = [MatRetaGen                                                     % MatRetaGen(nuGen,N_d)
                          MatRetagrj];
      end
return                                                                        
