function sub_plot_diffusion_maps_manifold_H_ar(n_d,N_d,NnbMC,MatReta_d,MatReta_ar,nbplotH,RplotH,nbplotHClouds,MatRplotHClouds)                                 
                                         
%----------------------------------------------------------------------------------------------------------------------------------------------
%          Copyright C. Soize, revised 10 December 2017, revised 24 september 2020
%----------------------------------------------------------------------------------------------------------------------------------------------
%
                                                             %--- generation for plotting  the 2D graphs ell --> H_{ar,ih}^ell 
      if nbplotH >= 1 
         MatReta_ar_plot = zeros(nbplotH,NnbMC); 
         for iplotH = 1:nbplotH 
             ih = RplotH(iplotH);
             MatReta_ar_plot(iplotH,:) = MatReta_ar(ih,:);   %   MatReta_ar_plot(nbplotH,NnbMC)
         end
      end                                                
      
      if nbplotHClouds >= 1                                  %--- generation for plotting the clouds 
         MatRih_ar = zeros(nbplotHClouds,NnbMC);             %    MatRih_ar(nbplotHClouds,NnbMC)
         MatRjh_ar = zeros(nbplotHClouds,NnbMC);             %    MatRjh_ar(nbplotHClouds,NnbMC)
         MatRkh_ar = zeros(nbplotHClouds,NnbMC);             %    MatRkh_ar(nbplotHClouds,NnbMC)
         for iplotHClouds = 1:nbplotHClouds
             ih = MatRplotHClouds(iplotHClouds,1);
             jh = MatRplotHClouds(iplotHClouds,2);
             kh = MatRplotHClouds(iplotHClouds,3); 
             MatRih_ar(iplotHClouds,:) = MatReta_ar(ih,:);   %  MatRih_ar(nbplotHClouds,NnbMC)
             MatRjh_ar(iplotHClouds,:) = MatReta_ar(jh,:);   %  MatRjh_ar(nbplotHClouds,NnbMC)
             MatRkh_ar(iplotHClouds,:) = MatReta_ar(kh,:);   %  MatRkh_ar(nbplotHClouds,NnbMC)
         end
      end

      if nbplotH >= 1                               %--- plot 2D graphs ell --> H_{ar,ih}^ell 
         for iplotH = 1:nbplotH 
             ih = RplotH(iplotH);
             h = figure; 
             plot((1:1:NnbMC),MatReta_ar_plot(iplotH,:),'b-')
             title(['$H_{',num2str(ih),',{\rm{ar}}}$ with  $n_{\rm{MC}} = $', num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex')
             xlabel(' $\ell$','FontSize',16,'Interpreter','latex') 
             ylabel([' $\eta^\ell_{',num2str(ih),',{\rm{ar}}}$'],'FontSize',16,'Interpreter','latex') 
             saveas(h,['figure_STEP3_eta_ar_',num2str(ih),'.fig']);  
             close(h);
         end
      end   
             
      if nbplotHClouds >= 1                   %--- plot the clouds 
         for iplotHClouds = 1:nbplotHClouds
              ih = MatRplotHClouds(iplotHClouds,1);
              jh = MatRplotHClouds(iplotHClouds,2);
              kh = MatRplotHClouds(iplotHClouds,3); 
              hold off 
              h=figure; 
              axes1 = axes;
              hold(axes1,'on');
              xlim(axes1,[-5 10]);
              ylim(axes1,[-8 20]);
              zlim(axes1,[-22 12]);
              view(axes1,[-37.5 30]);
              set(axes1,'FontSize',16);
              plot3(MatReta_d(ih,:),MatReta_d(jh,:),MatReta_d(kh,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[0 0 1]);
              hold on
              plot3(MatRih_ar(iplotHClouds,:),MatRjh_ar(iplotHClouds,:),MatRkh_ar(iplotHClouds,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[1 0 0]); 
              title([' $H$ with $N_d = $',num2str(N_d), ' and $H_{\rm{ar}}$ with $n_{\rm{ar}} = $' , num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');      
              xlabel(['$H_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')                                                                 
              ylabel(['$H_{',num2str(jh),'}$'],'FontSize',16,'Interpreter','latex') 
              zlabel(['$H_{',num2str(kh),'}$'],'FontSize',16,'Interpreter','latex')
              saveas(h,['figure_STEP3_eta_ar_clouds_',num2str(ih),'_',num2str(jh),'_',num2str(kh),'.fig']);              
              hold off
              close(h);
         end
      end
      
      npoint = 5000;
      if nbplotH >= 1                               %--- plot the PDF of MatReta_ar 
         for iplotH = 1:nbplotH 
             ih = RplotH(iplotH);
             [Rpdf_d,Rh_d] = ksdensity(MatReta_d(ih,:),'npoints',npoint);
             [Rpdf_ar,Rh_ar] = ksdensity(MatReta_ar_plot(iplotH,:),'npoints',npoint);             
             h = figure; 
             axes1 = axes;
             hold(axes1,'on');
             xlim(axes1,[-4 5]);
             plot(Rh_d,Rpdf_d,'k-')
             plot(Rh_ar,Rpdf_ar,'LineStyle','--','Color',[0,0,1]);  
             title(['$p^{\rm d}_{H_{',num2str(ih),'}}$ (black solid) with $N_d = $',num2str(N_d),' , $p^{\rm ar}_{H_{\rm{ar},',num2str(ih),'}}$ (blue dashed) with $n_{\rm{MC}} = $',num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');
             xlabel(['$\eta_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')              
             ylabel(['$p_{H_',num2str(ih),'}(\eta_{',num2str(ih),'})$'],'FontSize',16,'Interpreter','latex') 
             saveas(h,['figure_STEP3_pdf_H_ar',num2str(ih),'.fig']);  
             hold off
             close(h);
         end
      end
  return
end
 

 