function sub_plot_diffusion_maps_manifold_H_arg(N_d,NnbMC,MatReta_d,MatReta_arg,nbplotHgSamples,RplotHgSamples,nbplotHg,RplotHg, ...
                                                nbplotHgClouds,MatRplotHgClouds)                                  
                                         
%----------------------------------------------------------------------------------------------------------------------------------------------
%          Copyright C. Soize, revised 10 December 2017, revised 24 september 2020
%----------------------------------------------------------------------------------------------------------------------------------------------
%
                                                              %--- generation for plotting  the 2D graphs ell --> H_{arg,ih}^ell (samples)
      if nbplotHgSamples >= 1 
         MatReta_arg_plot_Samples = zeros(nbplotHgSamples,NnbMC); 
         for iplotH = 1:nbplotHgSamples 
             ih = RplotHgSamples(iplotH);
             MatReta_arg_plot_Samples(iplotH,:) = MatReta_arg(ih,:);  %   MatReta_arg_plot_Samples(nbplotHgSamples,NnbMC)
         end
      end                                                
                                                              %--- generation for plotting  the pdf of  H_arg 
      if nbplotHg >= 1 
         MatReta_arg_plot = zeros(nbplotHg,NnbMC); 
         for iplotH = 1:nbplotHg 
             ih = RplotHg(iplotH);
             MatReta_arg_plot(iplotH,:) = MatReta_arg(ih,:);  %   MatReta_arg_plot(nbplotH,NnbMC)
         end
      end                                                
      
      if nbplotHgClouds >= 1                                   %--- generation for plotting the clouds 
         MatRih_arg = zeros(nbplotHgClouds,NnbMC);             %    MatRih_arg(nbplotHgClouds,NnbMC)
         MatRjh_arg = zeros(nbplotHgClouds,NnbMC);             %    MatRjh_arg(nbplotHgClouds,NnbMC)
         MatRkh_arg = zeros(nbplotHgClouds,NnbMC);             %    MatRkh_arg(nbplotHgClouds,NnbMC)
         for iplotHClouds = 1:nbplotHgClouds
             ih = MatRplotHgClouds(iplotHClouds,1);
             jh = MatRplotHgClouds(iplotHClouds,2);
             kh = MatRplotHgClouds(iplotHClouds,3); 
             MatRih_arg(iplotHClouds,:) = MatReta_arg(ih,:);  %  MatRih_arg(nbplotHgClouds,NnbMC)
             MatRjh_arg(iplotHClouds,:) = MatReta_arg(jh,:);  %  MatRjh_arg(nbplotHgClouds,NnbMC)
             MatRkh_arg(iplotHClouds,:) = MatReta_arg(kh,:);  %  MatRkh_arg(nbplotgHClouds,NnbMC)
         end
      end

      if nbplotHgSamples >= 1                               %--- plot 2D graphs ell --> H_{arg,ih}^ell (samples)
         for iplotH = 1:nbplotHgSamples 
             ih = RplotHgSamples(iplotH);
             h = figure; 
             plot((1:1:NnbMC),MatReta_arg_plot_Samples(iplotH,:),'b-')
             title(['$H_{',num2str(ih),',{\rm{arg}}}$ with  $n_{\rm{MC}} = $', num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex')
             xlabel(' $\ell$','FontSize',16,'Interpreter','latex') 
             ylabel([' $\eta^\ell_{',num2str(ih),',{\rm{arg}}}$'],'FontSize',16,'Interpreter','latex') 
             saveas(h,['figure_STEP5_eta_arg_',num2str(ih),'.fig']);   
             close(h);
         end
      end   
             
      if nbplotHgClouds >= 1                                 %--- plot the clouds 
         for iplotHClouds = 1:nbplotHgClouds
              ih = MatRplotHgClouds(iplotHClouds,1);
              jh = MatRplotHgClouds(iplotHClouds,2);
              kh = MatRplotHgClouds(iplotHClouds,3); 
              hold off 
              h=figure; 
              axes1 = axes;
              hold(axes1,'on');
              xlim(axes1,[-5 10]);
              ylim(axes1,[-8 20]);
              zlim(axes1,[-22 12]);
              view(axes1,[-37.5 30]);
              set(axes1,'FontSize',16);
              plot3(MatReta_d(ih,:),MatReta_d(jh,:),MatReta_d(kh,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[0 0 1]);
              hold on
              plot3(MatRih_arg(iplotHClouds,:),MatRjh_arg(iplotHClouds,:),MatRkh_arg(iplotHClouds,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[1 0 0]); 
              title([' $H$ with $N_d = $',num2str(N_d), ' and $H_{\rm{arg}}$ with $n_{\rm{ar}} = $' , num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');      
              xlabel(['$H_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')                                                                 
              ylabel(['$H_{',num2str(jh),'}$'],'FontSize',16,'Interpreter','latex') 
              zlabel(['$H_{',num2str(kh),'}$'],'FontSize',16,'Interpreter','latex')
              saveas(h,['figure_STEP5_eta_arg_clouds_',num2str(ih),'_',num2str(jh),'_',num2str(kh),'.fig']);  
              hold off
              close(h);
         end
      end
      
      if nbplotHg >= 1                               %--- plot the PDF of MatReta_arg 
         npoint = 5000;
         for iplotH = 1:nbplotHg 
             ih = RplotHg(iplotH);
             [Rpdf_d,Rh_d] = ksdensity(MatReta_d(ih,:),'npoints',npoint);
             [Rpdf_arg,Rh_arg] = ksdensity(MatReta_arg_plot(iplotH,:),'npoints',npoint);             
             h = figure; 
             axes1 = axes;
             hold(axes1,'on');
             xlim(axes1,[-4 5]);
             plot(Rh_d,Rpdf_d,'k-')
             plot(Rh_arg,Rpdf_arg,'b-','LineWidth',1)  
             title(['$p^{\rm d}_{H_{',num2str(ih),'}}$ (black) with $N_d = $',num2str(N_d),' , $p^{\rm ar}_{H_{\rm{arg},',num2str(ih),'}}$ (blue) with $n_{\rm{MC}} = $',num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');
             xlabel(['$\eta_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')              
             ylabel(['$p_{H_',num2str(ih),'}(\eta_{',num2str(ih),'})$'],'FontSize',16,'Interpreter','latex')
             saveas(h,['figure_STEP5_pdf_H_arg',num2str(ih),'.fig']);   
             hold off
             close(h);
         end
      end
  return
end
 

 