function sub_plot_diffusion_maps_manifold_XX_ar(n_d,N_d,NnbMC,MatRxx_d,MatRxx_ar,nbplotXX,RplotXX,nbplotXXClouds,MatRplotXXClouds)                                 
                                         
%----------------------------------------------------------------------------------------------------------------------------------------------
%          Copyright C. Soize, revised 10 December 2017, revised 24 september 2020
%----------------------------------------------------------------------------------------------------------------------------------------------
%
                                                             %--- generation for plotting  the 2D graphs ell --> XX_{ar,ih}^ell 
      if nbplotXX >= 1 
         MatRxx_ar_plot = zeros(nbplotXX,NnbMC); 
         for iplotXX = 1:nbplotXX 
             ih = RplotXX(iplotXX);
             MatRxx_ar_plot(iplotXX,:) = MatRxx_ar(ih,:);   %   MatRxx_ar_plot(nbplotXX,NnbMC)
         end
      end                                                
      
      if nbplotXXClouds >= 1                                  %--- generation for plotting the clouds 
         MatRih_ar = zeros(nbplotXXClouds,NnbMC);             %    MatRih_ar(nbplotXXClouds,NnbMC)
         MatRjh_ar = zeros(nbplotXXClouds,NnbMC);             %    MatRjh_ar(nbplotXXClouds,NnbMC)
         MatRkh_ar = zeros(nbplotXXClouds,NnbMC);             %    MatRkh_ar(nbplotXXClouds,NnbMC)
         for iplotXXClouds = 1:nbplotXXClouds
             ih = MatRplotXXClouds(iplotXXClouds,1);
             jh = MatRplotXXClouds(iplotXXClouds,2);
             kh = MatRplotXXClouds(iplotXXClouds,3); 
             MatRih_ar(iplotXXClouds,:) = MatRxx_ar(ih,:);   %  MatRih_ar(nbplotXXClouds,NnbMC)
             MatRjh_ar(iplotXXClouds,:) = MatRxx_ar(jh,:);   %  MatRjh_ar(nbplotXXClouds,NnbMC)
             MatRkh_ar(iplotXXClouds,:) = MatRxx_ar(kh,:);   %  MatRkh_ar(nbplotXXClouds,NnbMC)
         end
      end

%       if nbplotXX >= 1                               %--- plot 2D graphs ell --> XX_{ar,ih}^ell 
%          for iplotXX = 1:nbplotXX 
%              ih = RplotXX(iplotXX);
%              h = figure; 
%              plot((1:1:NnbMC),MatRxx_ar_plot(iplotXX,:),'b-')
%              title(['$X_{',num2str(ih),',{\rm{ar}}}$ with  $n_{\rm{MC}} = $', num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex')
%              xlabel(' $\ell$','FontSize',16,'Interpreter','latex') 
%              ylabel([' $x^\ell_{',num2str(ih),',{\rm{ar}}}$'],'FontSize',16,'Interpreter','latex') 
%              saveas(h,['figure_STEP3_x_{',num2str(ih),',{\rm{ar}}}.fig']);  
%              close(h);
%          end
%       end   
             
      if nbplotXXClouds >= 1                   %--- plot the clouds with MatRxx_ar 
         for iplotXXClouds = 1:nbplotXXClouds
              ih = MatRplotXXClouds(iplotXXClouds,1);
              jh = MatRplotXXClouds(iplotXXClouds,2);
              kh = MatRplotXXClouds(iplotXXClouds,3); 
              hold off 
              h=figure;  
              axes1 = axes('Parent',h,'FontSize',16);
              view(axes1,[-37.5 30]);
              hold(axes1,'on');
              plot3(MatRxx_d(ih,:),MatRxx_d(jh,:),MatRxx_d(kh,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[0 0 1]);
              hold on
              plot3(MatRih_ar(iplotXXClouds,:),MatRjh_ar(iplotXXClouds,:),MatRkh_ar(iplotXXClouds,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[1 0 0]); 
              title([' $X_{d}$ with $N_d = $',num2str(N_d), ' and $X_{\rm{ar}}$ with $n_{\rm{ar}} = $' , num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');      
              xlabel(['$X_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')                                                                 
              ylabel(['$X_{',num2str(jh),'}$'],'FontSize',16,'Interpreter','latex') 
              zlabel(['$X_{',num2str(kh),'}$'],'FontSize',16,'Interpreter','latex')
              saveas(h,['figure_STEP3_x_ar_clouds_',num2str(ih),'_',num2str(jh),'_',num2str(kh),'.fig']);  
              hold off
              close(h);
         end
      end
      
      if nbplotXX >= 1                               %--- plot the PDF of MatRxx_ar 
         npoint = 300;
         for iplotXX = 1:nbplotXX 
             ih = RplotXX(iplotXX);
             [Rpdf_d,Rh_d] = ksdensity(MatRxx_d(ih,:),'npoints',npoint);
             [Rpdf_ar,Rh_ar] = ksdensity(MatRxx_ar_plot(iplotXX,:),'npoints',npoint);             
             h = figure; 
             hold on
             plot(Rh_d,Rpdf_d,'k-')
             plot(Rh_ar,Rpdf_ar,'LineStyle','--','Color',[0,0,1]); 
             title(['$p^{\rm d}_{X_{',num2str(ih),'}}$ (black) with $N_d = $',num2str(N_d),' , $p^{\rm ar}_{X_{\rm{ar},',num2str(ih),'}}$ (blue dashed) with $n_{\rm{MC}} = $',num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');
             xlabel(['$x_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')              
             ylabel(['$p_{X_',num2str(ih),'}(x_{',num2str(ih),'})$'],'FontSize',16,'Interpreter','latex')
             saveas(h,['figure_STEP3_pdf_X_ar_',num2str(ih),'.fig']);  
             hold off
             close(h);
         end
      end
  return
end
 

 