function  sub_plot_diffusion_maps_manifold_XX_arg(N_d,NnbMC,MatRxx_d,MatRxx_arg,nbplotXXg,RplotXXg,nbplotXXgClouds,MatRplotXXgClouds)                                 
                                         
%----------------------------------------------------------------------------------------------------------------------------------------------
%          Copyright C. Soize, revised 10 December 2017, revised 24 september 2020
%----------------------------------------------------------------------------------------------------------------------------------------------
%
                                                             %--- generation for plotting  the 2D graphs ell --> XX_{arg,ih}^ell 
      if nbplotXXg >= 1 
         MatRxx_arg_plot = zeros(nbplotXXg,NnbMC); 
         for iplotXX = 1:nbplotXXg 
             ih = RplotXXg(iplotXX);
             MatRxx_arg_plot(iplotXX,:) = MatRxx_arg(ih,:);  %   MatRxx_arg_plot(nbplotXX,NnbMC)
         end
      end                                                
      
      if nbplotXXgClouds >= 1                                   %--- generation for plotting the clouds 
         MatRih_arg = zeros(nbplotXXgClouds,NnbMC);             %    MatRih_arg(nbplotXXgClouds,NnbMC)
         MatRjh_arg = zeros(nbplotXXgClouds,NnbMC);             %    MatRjh_arg(nbplotXXgClouds,NnbMC)
         MatRkh_arg = zeros(nbplotXXgClouds,NnbMC);             %    MatRkh_arg(nbplotXXgClouds,NnbMC)
         for iplotXXClouds = 1:nbplotXXgClouds
             ih = MatRplotXXgClouds(iplotXXClouds,1);
             jh = MatRplotXXgClouds(iplotXXClouds,2);
             kh = MatRplotXXgClouds(iplotXXClouds,3); 
             MatRih_arg(iplotXXClouds,:) = MatRxx_arg(ih,:);   %  MatRih_arg(nbplotXXgClouds,NnbMC)
             MatRjh_arg(iplotXXClouds,:) = MatRxx_arg(jh,:);   %  MatRjh_arg(nbplotXXgClouds,NnbMC)
             MatRkh_arg(iplotXXClouds,:) = MatRxx_arg(kh,:);   %  MatRkh_arg(nbplotXXgClouds,NnbMC)
         end
      end

      %       if nbplotXXg >= 1                               %--- plot 2D graphs ell --> H_{ar,ih}^ell 
      %          for iplotXX = 1:nbplotXXg 
      %              ih = RplotXXg(iplotXX);
      %              h = figure; 
      %              plot((1:1:NnbMC),MatRxx_arg_plot(iplotXX,:),'b-')
      %              title(['$X_{',num2str(ih),',{\rm{arg}}}$ with  $n_{\rm{MC}} = $', num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex')
      %              xlabel(' $\ell$','FontSize',16,'Interpreter','latex') 
      %              ylabel([' $x^\ell_{',num2str(ih),',{\rm{arg}}}$'],'FontSize',16,'Interpreter','latex') 
      %              saveas(h,['figure_STEP5_x_arg',num2str(ih),'.fig']);  
      %              close(h);
      %          end
      %       end   
             
      if nbplotXXgClouds >= 1                   %--- plot the clouds 
         for iplotXXClouds = 1:nbplotXXgClouds
              ih = MatRplotXXgClouds(iplotXXClouds,1);
              jh = MatRplotXXgClouds(iplotXXClouds,2);
              kh = MatRplotXXgClouds(iplotXXClouds,3); 
              hold off 
              h=figure;  
              axes1 = axes('Parent',h,'FontSize',16);
              view(axes1,[-37.5 30]);
              hold(axes1,'on');
              plot3(MatRxx_d(ih,:),MatRxx_d(jh,:),MatRxx_d(kh,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[0 0 1]);
              hold on
              plot3(MatRih_arg(iplotXXClouds,:),MatRjh_arg(iplotXXClouds,:),MatRkh_arg(iplotXXClouds,:),'MarkerSize',2,'Marker','hexagram','LineStyle','none','Color',[1 0 0]); 
              title([' $X_{d}$ with $N_d = $',num2str(N_d), ' and $X_{\rm{ar}}$ with $n_{\rm{arg}} = $' , num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');      
              xlabel(['$X_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')                                                                 
              ylabel(['$X_{',num2str(jh),'}$'],'FontSize',16,'Interpreter','latex') 
              zlabel(['$X_{',num2str(kh),'}$'],'FontSize',16,'Interpreter','latex')
              saveas(h,['figure_STEP5_x_arg_clouds_',num2str(ih),'_',num2str(jh),'_',num2str(kh),'.fig']); 
              hold off
              close(h);
         end
      end
      
      if nbplotXXg >= 1                               %--- plot the PDF of MatRxx_ar 
         npoint = 300;
         for iplotXX = 1:nbplotXXg 
             ih = RplotXXg(iplotXX);
             [Rpdf_d,Rh_d] = ksdensity(MatRxx_d(ih,:),'npoints',npoint);
             [Rpdf_arg,Rh_arg] = ksdensity(MatRxx_arg_plot(iplotXX,:),'npoints',npoint);             
             h = figure; 
             hold on
             plot(Rh_d,Rpdf_d,'k-')
             plot(Rh_arg,Rpdf_arg,'b-','LineWidth',1)   
             title(['$p^{\rm d}_{X_{',num2str(ih),'}}$ (black) with $N_d = $',num2str(N_d),' , $p^{\rm ar}_{X_{\rm{arg},',num2str(ih),'}}$ (blue) with $n_{\rm{MC}} = $',num2str(NnbMC)],'FontWeight','Normal','FontSize',16,'Interpreter','latex');
             xlabel(['$x_{',num2str(ih),'}$'],'FontSize',16,'Interpreter','latex')              
             ylabel(['$p_{X_',num2str(ih),'}(x_{',num2str(ih),'})$'],'FontSize',16,'Interpreter','latex')
             saveas(h,['figure_STEP5_pdf_X_arg_',num2str(ih),'.fig']);
             hold off
             close(h);
         end
      end
  return
end
 

 