
function [numfig] = sub_print_plot_groups1(INDEPopt,ngroup,Igroup,MatIgroup,npair,RplotPair,numfig)
%
% Copyright C. Soize 12 January 2016 
%
%             %   INDEPopt = optimal value of INDEPref
              %   ngroup = number of groups that are constructed
              %   Igroup = vector (ngroup,1) such that Igroup(j): number mj of the components of  Y^j = (H_r1,... ,H_rmj)
              %   mmax = max_j Igroup(j)
              %   MatIgroup = matrix(ngroup,mmax) such that MatIgroup1(j,r) = rj : indice rj de H dans le groupe j tel que Y^j_r = H_rj             
              %   RplotPair      = vector(npair,1) such that RplotPair(pair,1)       = INDEPr1r2 with pair=(r1,r2)
              
   fidlisting=fopen('listing.txt','a+'); 
   fprintf(fidlisting,'      \n '); 
   fprintf(fidlisting,'      \n '); 
   fprintf(fidlisting,'--------------- OPTIMAL PARTITION IN GROUPS OF INDEPENDENT RANDOM VECTORS ----------');
   fprintf(fidlisting,'      \n ');    
   fprintf(fidlisting,'      \n '); 
   fprintf(fidlisting,'Optimal value INDEPopt of INDEPref used for constructing the optimal partition = %8.5i \n ',INDEPopt); 
   fprintf(fidlisting,'      \n '); 
   fprintf(fidlisting,'ngroup  = %7i \n ',ngroup);   
   for j = 1:ngroup 
        fprintf(fidlisting,'      \n '); 
        PPrint =[j MatIgroup(j,1:Igroup(j))];
        fprintf(fidlisting,' %7i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i %4i \n ', PPrint);
        fprintf(fidlisting,'      \n '); 
        clear PPrint
   end
   fclose(fidlisting); 
   
   iexec_PRINT_INDEP = 1;         %--- iexec_PRINT_INDEP = 0: no print the mutual information values 
                                  %                      = 1: print the mutual information values 
   if iexec_PRINT_INDEP == 1        
                                                                                       
      if npair >= 2         
         
         h = figure; 
         plot((1:1:npair)',RplotPair(:,1),'ob')
         title({['Values of i^\nu(H^\nu_{r_1},H^\nu_{r_2}) as a function of the pair p = (r_1,r_2)']},'FontSize',12,'Interpreter','tex','FontWeight','normal')                                        
         xlabel(['pair p = (r_1,r_2)'],'FontSize',12,'Interpreter','tex')                                                                 
         ylabel(['i^\nu(H^\nu_{r_1},H^\nu_{r_2})'],'FontSize',12,'Interpreter','tex')                                                         
         numfig = numfig+1;                                                         
         saveas(h,['figure_STEP4_INDGROUP_' num2str(numfig) '.fig'])
         close(h);
      end
   end

return                                                                        
